|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Types | Public Member Functions | Protected Member Functions
gameplay::PhysicsController::Listener Class Reference

`#include <PhysicsController.h>`

List of all members.

## Public Types

enum | EventType { ACTIVATED, DEACTIVATED }

## Public Member Functions

virtual void | statusEvent (EventType type)=0

## Protected Member Functions

virtual | ~Listener ()

## Detailed Description

Status listener interface.

## Member Enumeration Documentation

enum gameplay::PhysicsController::Listener::EventType

The type of physics status event.

Enumerator:

  ACTIVATED | Event fired when there were no active physics objects and at least one is now active.
  DEACTIVATED | Event fired when there are no more active physics objects in the world.

## Constructor & Destructor Documentation

virtual gameplay::PhysicsController::Listener::~Listener | ( |  | ) | `[protected, virtual]`

Destructor.

## Member Function Documentation

virtual void gameplay::PhysicsController::Listener::statusEvent | ( | EventType | type | ) | `[pure virtual]`

Handles when a physics world status event occurs.

All Classes Functions Variables Typedefs Enumerations Enumerator